Favicon

You are here: Home > API Reference > Apple > Apple Devices > Get admDevice scheduler scripts by Id

Get admDevice scheduler scripts by Id

Required Permission: mdm.apple.device.get

Get admDevice scheduler scripts by Id

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/scheduler-scripts
Copy to clipboard

Get admDevice scheduler scripts by Id

Required Permission: mdm.apple.device.get

Get admDevice scheduler scripts by Id

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data array [object] optional
id string optional
≤ 128 characters
type string optional
once loop onDemand
loopTime integer optional
≥ 0
resetDate string optional
Format: date-time
name string optional
≤ 256 characters
description string optional
≤ 500 characters
runner string optional
≤ 256 characters
arguments string optional
{
    "status": true,
    "data": [
        {
            "id": "string",
            "type": "once",
            "loopTime": 0,
            "resetDate": "2024-01-01T00: 00:00Z",
            "name": "string",
            "description": "string",
            "runner": "string",
            "arguments": "string"
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}